var path = require('path')
  , Models = require(path.join(__dirname,'..','models'))
  , getDBConnection = require(path.join(__dirname,'getDBConnection'));

function getDBOptions(options) {
  var defaults = {
    database: 'halcyonnhl',
    host: 'localhost',
    user: 'root',
    password: 'password',
    port: 3306,
    directory: undefined
  };

  if (!options) {
    return defaults;
  }

  var retOptions = {}
    , copy = {};

  if (options.host || options.database || options.user || options.password || options.connectionLimit || options.port)
    copy = options;

  for (var prop in defaults) {
    retOptions[prop] = (copy[prop] ? copy[prop] : defaults[prop]);
  }

  return retOptions;
}

module.exports = function(season, options) {
  options = getDBOptions(options);

  global.halcyonSingleton = {
    season: season,
    DBOptions: options,
    getDB: getDBConnection,
    dataDirectory: options.directory,
    models: false,
    debug: false,
    gameID: -1
  };

  global.halcyonSingleton.models = Models();
}